GNU bug report logs - #43076
[PATCH] update gajim to 1.2.2

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mason Hock <chaosmonk@HIDDEN>; Keywords: patch; merged with #43156; dated Thu, 27 Aug 2020 21:10:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 43076 43156. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43076 <at> debbugs.gnu.org:


Received: (at 43076) by debbugs.gnu.org; 1 Sep 2020 17:08:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 01 13:08:55 2020
Received: from localhost ([127.0.0.1]:57073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kD9m7-0005Og-3s
	for submit <at> debbugs.gnu.org; Tue, 01 Sep 2020 13:08:55 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chaosmonk@HIDDEN>) id 1kD9m5-0005OX-9s
 for 43076 <at> debbugs.gnu.org; Tue, 01 Sep 2020 13:08:50 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4Bgtnr3tDpzFgsp;
 Tue,  1 Sep 2020 10:08:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1598980128; bh=ucOCbqg1B2p8Jn5MOeLUXhfXf24nWUzIDcP9gYhiCGo=;
 h=Subject:From:To:Cc:Date:In-Reply-To:From;
 b=cedaT4UKETuwcLvb7Cd0mjiWYvO17xSl5gtN/ZIGeqfBmmmgg1OaJ74Inordzc9tE
 c11w3SR2ZzkcG4kWHJXdoxrcuIZe8plv4FImqVkecaKIyncQayUsVwowgSStZj1RQ4
 MDjh7gnxRJWgKizsIizn+ISQnkyHfyibOtBHgKXw=
X-Riseup-User-ID: F15148CBCA730239149BC26CFBE9CA74C2CB2018794EE36A0F45D824B3CEC5F2
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 4Bgtnq1TmbzJnpy;
 Tue,  1 Sep 2020 10:08:47 -0700 (PDT)
Mime-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Subject: Re: [bug#43076] [PATCH] update gajim to 1.2.2
From: "Mason Hock" <chaosmonk@HIDDEN>
To: "Efraim Flashner" <efraim@HIDDEN>
Date: Tue, 01 Sep 2020 10:09:48 -0700
Message-Id: <C5C765ORL6ZK.218XEKZUL0NOY@libricia-thinkcentre>
In-Reply-To: <20200901134409.GE856@E5400>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43076
Cc: 43076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue Sep 1, 2020 at 6:44 AM PDT, Efraim Flashner wrote:
> Hello and thank you for taking a look at this package.
>
> On Thu, Aug 27, 2020 at 01:56:19PM -0700, Mason Hock wrote:
> > From: Mason Hock <mason@HIDDEN>
> >=20
> > ---
> >  gnu/packages/messaging.scm | 4 ++--
> >  1 file changed, 2 insertions(+), 2 deletions(-)
> >=20
> > diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
> > index 9dc3e58ef9..6c47004293 100644
> > --- a/gnu/packages/messaging.scm
> > +++ b/gnu/packages/messaging.scm
> > @@ -642,7 +642,7 @@ was initially a fork of xmpppy, but uses non-blocki=
ng sockets.")
> >  (define-public gajim
> >    (package
> >      (name "gajim")
> > -    (version "1.1.3")
> > +    (version "1.2.2")
> >      (source (origin
> >                (method url-fetch)
> >                (uri (string-append "https://gajim.org/downloads/"
> > @@ -650,7 +650,7 @@ was initially a fork of xmpppy, but uses non-blocki=
ng sockets.")
> >                                    "/gajim-" version ".tar.bz2"))
> >                (sha256
> >                 (base32
> > -                "0bzxwcpdd4ydh6d6mzpr0gxwhcb0x9ympk55fpvm1hcw9d28a716"=
))))
> > +                "1gfcp3b5nq43xxz5my8vfhfxnnli726j3hzcgwh9fzrzzd9ic3gx"=
))))
> >      (build-system python-build-system)
> >      (arguments
> >       `(#:phases
> > --=20
> > 2.28.0
> >=20
>
> I got a hash mismatch when I tried to download the package, it turns out
> the file changed from .bz2 to .gz
>
> Then when I tried to build it I got a failure during the 'check phase.
> Can you take a look at it?

Sorry about that.  I've sent a revised patch that should work.

> starting phase `check'
> running test
> Searching for packaging
> Reading https://pypi.org/simple/packaging/
> Download error on https://pypi.org/simple/packaging/: [Errno -2] Name or
> service not known -- Some packages may not be found!
> Couldn't find index page for 'packaging' (maybe misspelled?)
> Scanning index of all packages (this may take a while)
> Reading https://pypi.org/simple/
> Download error on https://pypi.org/simple/: [Errno -2] Name or service
> not known -- Some packages may not be found!
> No local packages or working download links found for packaging
> error: Could not find suitable distribution for
> Requirement.parse('packaging')
> command "python" "./setup.py" "test" "-s" "test.no_gui" failed with
> status 1
> builder for
> `/gnu/store/3f9gfcg7i32h9zzad3szq4rbxaj1fqzb-gajim-1.2.2.drv' failed
> with exit code 1
> build of /gnu/store/3f9gfcg7i32h9zzad3szq4rbxaj1fqzb-gajim-1.2.2.drv
> failed
>
> --
> Efraim Flashner <efraim@HIDDEN> =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
> GPG key =3D A28B F40C 3E55 1372 662D 14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received
> unencrypted





Information forwarded to guix-patches@HIDDEN:
bug#43076; Package guix-patches. Full text available.

Message received at 43076 <at> debbugs.gnu.org:


Received: (at 43076) by debbugs.gnu.org; 1 Sep 2020 13:44:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 01 09:44:55 2020
Received: from localhost ([127.0.0.1]:55427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kD6ah-0007vy-LM
	for submit <at> debbugs.gnu.org; Tue, 01 Sep 2020 09:44:55 -0400
Received: from flashner.co.il ([178.62.234.194]:39228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1kD6af-0007vk-64
 for 43076 <at> debbugs.gnu.org; Tue, 01 Sep 2020 09:44:50 -0400
Received: from localhost (unknown [31.210.181.177])
 by flashner.co.il (Postfix) with ESMTPSA id 064034000A;
 Tue,  1 Sep 2020 13:44:42 +0000 (UTC)
Date: Tue, 1 Sep 2020 16:44:09 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Mason Hock <chaosmonk@HIDDEN>
Subject: Re: [bug#43076] [PATCH] update gajim to 1.2.2
Message-ID: <20200901134409.GE856@E5400>
References: <20200827205619.31836-1-chaosmonk@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="V4b9U9vrdWczvw78"
Content-Disposition: inline
In-Reply-To: <20200827205619.31836-1-chaosmonk@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43076
Cc: 43076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--V4b9U9vrdWczvw78
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hello and thank you for taking a look at this package.

On Thu, Aug 27, 2020 at 01:56:19PM -0700, Mason Hock wrote:
> From: Mason Hock <mason@HIDDEN>
>=20
> ---
>  gnu/packages/messaging.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>=20
> diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
> index 9dc3e58ef9..6c47004293 100644
> --- a/gnu/packages/messaging.scm
> +++ b/gnu/packages/messaging.scm
> @@ -642,7 +642,7 @@ was initially a fork of xmpppy, but uses non-blocking=
 sockets.")
>  (define-public gajim
>    (package
>      (name "gajim")
> -    (version "1.1.3")
> +    (version "1.2.2")
>      (source (origin
>                (method url-fetch)
>                (uri (string-append "https://gajim.org/downloads/"
> @@ -650,7 +650,7 @@ was initially a fork of xmpppy, but uses non-blocking=
 sockets.")
>                                    "/gajim-" version ".tar.bz2"))
>                (sha256
>                 (base32
> -                "0bzxwcpdd4ydh6d6mzpr0gxwhcb0x9ympk55fpvm1hcw9d28a716"))=
))
> +                "1gfcp3b5nq43xxz5my8vfhfxnnli726j3hzcgwh9fzrzzd9ic3gx"))=
))
>      (build-system python-build-system)
>      (arguments
>       `(#:phases
> --=20
> 2.28.0
>=20

I got a hash mismatch when I tried to download the package, it turns out
the file changed from .bz2 to .gz

Then when I tried to build it I got a failure during the 'check phase.
Can you take a look at it?

starting phase `check'
running test
Searching for packaging
Reading https://pypi.org/simple/packaging/
Download error on https://pypi.org/simple/packaging/: [Errno -2] Name or se=
rvice not known -- Some packages may not be found!
Couldn't find index page for 'packaging' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading https://pypi.org/simple/
Download error on https://pypi.org/simple/: [Errno -2] Name or service not =
known -- Some packages may not be found!
No local packages or working download links found for packaging
error: Could not find suitable distribution for Requirement.parse('packagin=
g')
command "python" "./setup.py" "test" "-s" "test.no_gui" failed with status 1
builder for `/gnu/store/3f9gfcg7i32h9zzad3szq4rbxaj1fqzb-gajim-1.2.2.drv' f=
ailed with exit code 1
build of /gnu/store/3f9gfcg7i32h9zzad3szq4rbxaj1fqzb-gajim-1.2.2.drv failed

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--V4b9U9vrdWczvw78
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl9OUCkACgkQQarn3Mo9
g1GIkA//UN/s6JSqEFQQNsSwSPQCoZWO51L2G2tE7UFfq/VfTEVTao9KsesDdaRR
4yBV5xwfk4Ry+K7G46xfeTUQT6N2BMfxAoPdqhqIQfp2mk/1jYGuoJu4M420EKgE
gO8SAOyuhJd92FS4C6FZp7dqQ4kV6ugy3D51CEM+Sryaqhij7215G9rL8mWEgrVP
sDgFfg6cXFbVsJQEmPfdQFuZRXG2CdyVUDyOS6hXPUaR0PHXSc9v0nIp/wQ34f6u
XbrxMNHBrMwECP0D0H8ilPqEjGVsVpr/uz/KaBsunMehkcg+902Zvz1jpXSDadNQ
jr358mSTjddcnbteFKxtvMNK0WfyUGGuDIkKpZr9mFOTWce3XWS4hI7dEumSJtQ9
xP24PdfPyz0vuyag1hIMHIWPmYXkrt5n7WvF9ndsQeOJogT2/6wyz9Vh8stxCWyR
nKSTK+VOW5oVh/BZGz2+llcfTH7LfXB8CkMs2uGxki6aqI5ZHYMuyOtEB8jscnVh
9Pb8ZnnoamiExhP6V4XMG7aGoMS9KB+6qmcIrq09shBN5FxgP513d26v60HeqN9I
5OH0dS0JQeJreYWFCsAG39HkdkVWhkcLmNNZn7xlvF42TuHBWFdL8uTOHFBfhKMN
KSyQuVvP3h+Y/8iz1xGemDFtZ1Rkmcfgj2nv84clpqSEXNj51KI=
=B3nq
-----END PGP SIGNATURE-----

--V4b9U9vrdWczvw78--




Information forwarded to guix-patches@HIDDEN:
bug#43076; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Aug 2020 21:09:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 27 17:09:06 2020
Received: from localhost ([127.0.0.1]:44292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBP8s-0002E7-J2
	for submit <at> debbugs.gnu.org; Thu, 27 Aug 2020 17:09:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:49318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chaosmonk@HIDDEN>) id 1kBOvj-0001ry-FT
 for submit <at> debbugs.gnu.org; Thu, 27 Aug 2020 16:55:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54052)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <chaosmonk@HIDDEN>)
 id 1kBOvj-0002tb-5f
 for guix-patches@HIDDEN; Thu, 27 Aug 2020 16:55:31 -0400
Received: from mx1.riseup.net ([198.252.153.129]:60048)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <chaosmonk@HIDDEN>)
 id 1kBOvh-0003lA-49
 for guix-patches@HIDDEN; Thu, 27 Aug 2020 16:55:30 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4Bcw3D40FHzFmZH
 for <guix-patches@HIDDEN>; Thu, 27 Aug 2020 13:55:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1598561728; bh=+Zv9aXLBjFA64dY3BC2ZUTm3MCI9dOgOuwcBuVP0PfU=;
 h=From:To:Subject:Date:From;
 b=PhUrOXgwbL4GRnbNWA45jUWjxAmIDLIYSiBSRR+PQtbNaTpUyhdCren5H5kDTvQGU
 lIWaX8YVLxfNiMw3hyaaFcOgXVpn8oDXHwnby+ud6mtxudw/kzQ/46HgnNuwwiFAML
 PAhQirWwVibH0WTRj6h4S/5ByLcDD+rjciQ6aG6o=
X-Riseup-User-ID: C356477DB66D411E6F89C9A9041116A6F1E32535F615D873B55EAF77557C2F0B
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 4Bcw3D1XsrzJplq
 for <guix-patches@HIDDEN>; Thu, 27 Aug 2020 13:55:04 -0700 (PDT)
From: Mason Hock <chaosmonk@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] update gajim to 1.2.2
Date: Thu, 27 Aug 2020 13:56:19 -0700
Message-Id: <20200827205619.31836-1-chaosmonk@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=198.252.153.129;
 envelope-from=chaosmonk@HIDDEN; helo=mx1.riseup.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/27 15:24:31
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 27 Aug 2020 17:09:04 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

From: Mason Hock <mason@HIDDEN>

---
 gnu/packages/messaging.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index 9dc3e58ef9..6c47004293 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -642,7 +642,7 @@ was initially a fork of xmpppy, but uses non-blocking sockets.")
 (define-public gajim
   (package
     (name "gajim")
-    (version "1.1.3")
+    (version "1.2.2")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://gajim.org/downloads/"
@@ -650,7 +650,7 @@ was initially a fork of xmpppy, but uses non-blocking sockets.")
                                   "/gajim-" version ".tar.bz2"))
               (sha256
                (base32
-                "0bzxwcpdd4ydh6d6mzpr0gxwhcb0x9ympk55fpvm1hcw9d28a716"))))
+                "1gfcp3b5nq43xxz5my8vfhfxnnli726j3hzcgwh9fzrzzd9ic3gx"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
-- 
2.28.0





Acknowledgement sent to Mason Hock <chaosmonk@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#43076; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 1 Sep 2020 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.